# Draw
TKTopTest
TestTopOpeDraw

# TestTopOpeDraw_DrawableSUR Class Reference

`#include <TestTopOpeDraw_DrawableSUR.hxx>`

Inheritance diagram for TestTopOpeDraw_DrawableSUR:

[legend]

## Public Member Functions

Standard_EXPORT | TestTopOpeDraw_DrawableSUR (const Handle(Geom_Surface)&S, const Draw_Color &IsoColor)
Standard_EXPORT | TestTopOpeDraw_DrawableSUR (const Handle(Geom_Surface)&S, const Draw_Color &IsoColor, const Standard_CString Text, const Draw_Color &TextColor)

Standard_EXPORT

TestTopOpeDraw_DrawableSUR (const Handle(Geom_Surface)&S, const Draw_Color &IsoColor, const Draw_Color &BoundColor, const Draw_Color &NormalColor, const Standard_CString Text, const Draw_Color &TextColor, const Standard_Integer Nu, const Standard_Integer Nv, const Standard_Integer Discret, const Standard_Real Deflection, const Standard_Integer DrawMode, const Standard_Boolean DispOrigin=Standard_True)

Standard_EXPORT gp_Pnt | Pnt () const
Standard_EXPORT gp_Pnt2d | Pnt2d () const
virtual Standard_EXPORT void | DrawOn (Draw_Display &dis) const
| this is defined only to tell C++ not to complain about inheriting a pure virtual method.
Standard_EXPORT void | NormalColor (const Draw_Color &NormalColor)
Standard_EXPORT void | DrawNormale (Draw_Display &dis) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Draw_Text3D | myText
Draw_Color | myNormalColor

## Constructor & Destructor Documentation

Standard_EXPORT TestTopOpeDraw_DrawableSUR::TestTopOpeDraw_DrawableSUR | ( | const Handle(Geom_Surface)& | S,
|  | const Draw_Color & | IsoColor
| ) |

Standard_EXPORT TestTopOpeDraw_DrawableSUR::TestTopOpeDraw_DrawableSUR | ( | const Handle(Geom_Surface)& | S,
|  | const Draw_Color & | IsoColor,
|  | const Standard_CString | Text,
|  | const Draw_Color & | TextColor
| ) |

Standard_EXPORT TestTopOpeDraw_DrawableSUR::TestTopOpeDraw_DrawableSUR | ( | const Handle(Geom_Surface)& | S,
|  | const Draw_Color & | IsoColor,
|  | const Draw_Color & | BoundColor,
|  | const Draw_Color & | NormalColor,
|  | const Standard_CString | Text,
|  | const Draw_Color & | TextColor,
|  | const Standard_Integer | Nu,
|  | const Standard_Integer | Nv,
|  | const Standard_Integer | Discret,
|  | const Standard_Real | Deflection,
|  | const Standard_Integer | DrawMode,
|  | const Standard_Boolean | DispOrigin = `Standard_True`
| ) |

## Member Function Documentation

Standard_EXPORT void TestTopOpeDraw_DrawableSUR::DrawNormale | ( | Draw_Display & | dis | ) | const

virtual Standard_EXPORT void TestTopOpeDraw_DrawableSUR::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Reimplemented from DrawTrSurf_Surface.

Standard_EXPORT const TestTopOpeDraw_DrawableSUR::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from DrawTrSurf_Surface.

Standard_EXPORT void TestTopOpeDraw_DrawableSUR::NormalColor | ( | const Draw_Color & | NormalColor | ) |

Standard_EXPORT gp_Pnt TestTopOpeDraw_DrawableSUR::Pnt | ( |  | ) | const

Standard_EXPORT gp_Pnt2d TestTopOpeDraw_DrawableSUR::Pnt2d | ( |  | ) | const

## Field Documentation

Draw_Color TestTopOpeDraw_DrawableSUR::myNormalColor `[private]`

Handle_Draw_Text3D TestTopOpeDraw_DrawableSUR::myText `[private]`

The documentation for this class was generated from the following file:

- TestTopOpeDraw_DrawableSUR.hxx